Last Comment Bug 688996 - "ASSERTION: Wrong root"
: "ASSERTION: Wrong root"
Status: RESOLVED FIXED
[inbound]
: assertion, testcase
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- minor (vote)
: mozilla10
Assigned To: Mats Palmgren (:mats)
:
Mentors:
Depends on:
Blocks: 336383 682463
  Show dependency treegraph
 
Reported: 2011-09-24 13:18 PDT by Jesse Ruderman
Modified: 2013-04-04 13:53 PDT (History)
4 users (show)
mats: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (500 bytes, text/html)
2011-09-24 13:18 PDT, Jesse Ruderman
no flags Details
stack trace (3.36 KB, text/plain)
2011-09-24 13:19 PDT, Jesse Ruderman
no flags Details
Simpler testcase (367 bytes, text/html)
2011-10-11 18:52 PDT, Mats Palmgren (:mats)
no flags Details
Another test that triggers the same range update using splitText() (291 bytes, text/html)
2011-10-11 18:55 PDT, Mats Palmgren (:mats)
no flags Details
fix+tests, v1 (3.36 KB, patch)
2011-10-11 19:03 PDT, Mats Palmgren (:mats)
bugs: review+
Details | Diff | Review

Description Jesse Ruderman 2011-09-24 13:18:48 PDT
Created attachment 562257 [details]
testcase

###!!! ASSERTION: Wrong root: '!aRoot || aNotInsertedYet || (nsContentUtils::ContentIsDescendantOf(aStartN, aRoot) && nsContentUtils::ContentIsDescendantOf(aEndN, aRoot) && aRoot == IsValidBoundary(aStartN) && aRoot == IsValidBoundary(aEndN))', file content/base/src/nsRange.cpp, line 524

Maybe a regression from bug 682463?
Comment 1 Jesse Ruderman 2011-09-24 13:19:52 PDT
Created attachment 562259 [details]
stack trace
Comment 2 Mats Palmgren (:mats) 2011-10-11 18:52:59 PDT
Created attachment 566411 [details]
Simpler testcase
Comment 3 Mats Palmgren (:mats) 2011-10-11 18:55:17 PDT
Created attachment 566412 [details]
Another test that triggers the same range update using splitText()
Comment 4 Mats Palmgren (:mats) 2011-10-11 19:03:38 PDT
Created attachment 566414 [details] [diff] [review]
fix+tests, v1

Just need to avoid this assertion for newStartNode with null parent too.
Added the attached testcases as crashtests and the splitText() version
to the "splitText-normalize" reftest.

Try server results pending...
Comment 6 Marco Bonardo [::mak] 2011-10-13 07:16:53 PDT
https://hg.mozilla.org/mozilla-central/rev/3d5eee785f85

Note You need to log in before you can comment on or make changes to this bug.